View Issue Details

IDProjectCategoryView StatusLast Update
0024654LazarusWebsitepublic2020-06-07 17:07
ReporterJohannes W. Dietrich Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionwon't fix 
PlatformAnyOSAny 
Summary0024654: Recent Forum Posts should be replaced by Recent Forum Threads.
DescriptionThe box with Recent Forum Posts on the right should be replaced by one with Recent Forum Threads. Currently, there may be multiple posts in the same thread, thus filling the screen with posts that share a common title.

It would be more valuable to have a box with the last active threads here.
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Activities

Juha Manninen

2017-03-12 09:56

developer   ~0098831

Assigning this old issue to Martin. I don't know how to implement it.

Bart Broersma

2017-03-12 23:24

developer   ~0098854

Does this realy happen?
I don't recall ever seeing this.

Johannes W. Dietrich

2017-03-13 00:04

reporter  

Johannes W. Dietrich

2017-03-13 00:05

reporter   ~0098855

Yes, it does happen. See attached screenshot for an example.

Martin Friebe

2017-03-13 00:32

manager   ~0098857

The source is at http://svn.freepascal.org/svn/lazaruswebsite/trunk

If you google the forum api has docu on the net.

If a patch is provided, I am happy too look at it.

------------
Also related:
While the overall space for the box is fixed, if you can think of a way to reformat content (line breaks) in order to show more of the caption, then feel free to patch this too. Not sure how much the api returns...

Bart Broersma

2017-03-18 16:25

developer   ~0099019

This then seems to happen only if somebody posts a new topic and it is replied to?

Just today I checked again.
The last 2 posts were in one topic, but only the last one was in the "Recent" column.

Martin Friebe

2020-06-06 21:51

manager   ~0123280

If someone has a patch, please re-open.

Issue History

Date Modified Username Field Change
2013-06-24 22:22 Johannes W. Dietrich New Issue
2013-06-26 11:49 Zeljan Rikalo Assigned To => Juha Manninen
2013-06-26 11:49 Zeljan Rikalo Status new => assigned
2017-03-12 09:55 Juha Manninen Assigned To Juha Manninen => Martin Friebe
2017-03-12 09:56 Juha Manninen Note Added: 0098831
2017-03-12 23:24 Bart Broersma Note Added: 0098854
2017-03-13 00:04 Johannes W. Dietrich File Added: Bildschirmfoto 2017-03-12 um 23.59.12.png
2017-03-13 00:05 Johannes W. Dietrich Note Added: 0098855
2017-03-13 00:32 Martin Friebe Note Added: 0098857
2017-03-18 16:25 Bart Broersma Note Added: 0099019
2020-06-06 21:51 Martin Friebe Status assigned => resolved
2020-06-06 21:51 Martin Friebe Resolution open => won't fix
2020-06-06 21:51 Martin Friebe LazTarget => -
2020-06-06 21:51 Martin Friebe Note Added: 0123280